"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Highlighter_1 = require("../highlighter/Highlighter");
const ContentPath_node_1 = require("../parser/ContentPath.node");
function generateFileHighlights(source, linesOfInterest, contentPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const highlighter = yield Highlighter_1.Highlighter.createFromLOI(linesOfInterest, source, contentPath);
        if (!highlighter)
            return;
        return highlighter.toHighlights();
    });
}
describe('CodeHighlighter', () => {
    it('should format python code correctly', () => __awaiter(void 0, void 0, void 0, function* () {
        const repomap = yield generateFileHighlights({
            relPath: 'test.py',
            code: `class MyClass:
  def my_method(self, arg1, arg2):
    return arg1 + arg2

def my_function(arg1, arg2):
  return arg1 * arg2`,
        }, [1, 4], new ContentPath_node_1.NodeContentPath());
        const expectedOutput = `
test.py
│class MyClass:
█  def my_method(self, arg1, arg2):
⋮...
█def my_function(arg1, arg2):
⋮...
`;
        expect(repomap).toBe(expectedOutput);
    }));
});
//# sourceMappingURL=highlighter.test.js.map