"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CodeTagExtractor_1 = require("../tagger/CodeTagExtractor");
const ContentPath_node_1 = require("../parser/ContentPath.node");
const DefRefs_1 = require("../tagger/DefRefs");
const TagRanker_1 = require("../ranker/TagRanker");
const codefixture_1 = require("./codefixture");
describe('TagRanker', () => {
    let tagRanker;
    beforeEach(() => __awaiter(void 0, void 0, void 0, function* () {
        const extractor = new CodeTagExtractor_1.CodeTagExtractor('', new ContentPath_node_1.NodeContentPath());
        const defRefs = yield DefRefs_1.DefRefs.create(extractor, codefixture_1.pythonSources);
        const tags = defRefs.createTags();
        tagRanker = new TagRanker_1.TagRanker(tags);
    }));
    describe('create', () => {
        it('should create a new TagRanker instance', () => __awaiter(void 0, void 0, void 0, function* () {
            expect(tagRanker).toBeInstanceOf(TagRanker_1.TagRanker);
        }));
    });
    describe('pagerank', () => {
        it('should return ranked definitions', () => {
            const rankedTagRanker = tagRanker.pagerank();
            expect(rankedTagRanker.rankedDefinitions).toEqual(expect.any(Array));
        });
    });
});
//# sourceMappingURL=ranker.test.js.map