import { IContentPath, Source, AST } from '../parser';
import { Tag } from '../tagger';
import { LineOfInterest } from './common';
export declare class Highlighter {
    readonly source: Source;
    readonly linesOfInterest: LineOfInterest[];
    readonly ast: AST;
    static create(fileTags: Tag[], code: string, contentPath: IContentPath): Promise<Highlighter | undefined>;
    static createFromLOI(linesOfInterest: LineOfInterest[], source: Source, contentPath: IContentPath): Promise<Highlighter | undefined>;
    constructor(source: Source, linesOfInterest: LineOfInterest[], ast: AST);
    toHighlights(): string | undefined;
}
