"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LineScoper = void 0;
const CodeHighlighter_1 = require("./CodeHighlighter");
class LineScoper {
    constructor(codeLines, scopeStarts) {
        this.codeLines = codeLines;
        this.scopeStarts = scopeStarts;
    }
    parentScopes(lineNumbers) {
        return Array.from(lineNumbers)
            .map(lineOfInterest => this.scopeStarts[lineOfInterest])
            .filter(scopeStarts => scopeStarts.size > 0)
            .reduce((acc, scopeStarts) => {
            return new Set([...acc, ...scopeStarts]);
        }, new Set());
    }
    toCodeHighlighter(lineNumbers) {
        if (lineNumbers.length === 0)
            return;
        const parentScopes = this.parentScopes(lineNumbers);
        const allLines = Array.from(new Set([...parentScopes, ...new Set(lineNumbers)]));
        const linesOfInterest = [...lineNumbers].sort((a, b) => a - b);
        const showLines = [...allLines].sort((a, b) => a - b);
        return new CodeHighlighter_1.CodeHighlighter(this.codeLines, linesOfInterest, showLines);
    }
}
exports.LineScoper = LineScoper;
//# sourceMappingURL=LineScoper.js.map