"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.outlines = exports.highlightsThatFit = void 0;
const highlighter_1 = require("./highlighter");
const outliner_1 = require("./outliner");
function highlightsThatFit(contextSizer, chatSources, otherSources, contentPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const highlights = yield highlighter_1.Highlights.create(chatSources, otherSources, contentPath);
        if (!highlights)
            return;
        let loPercentile = 0;
        let hiPercentile = 1;
        let percentile = 1;
        let highlightedCode;
        while (0.001 <= Math.abs(hiPercentile - loPercentile)) {
            highlightedCode = yield highlights.toCodeHighlights(percentile);
            const fits = !highlightedCode || contextSizer.fits(highlightedCode);
            loPercentile = fits ? percentile : loPercentile;
            hiPercentile = fits ? hiPercentile : percentile;
            percentile = (loPercentile + hiPercentile) / 2;
        }
        return highlightedCode;
    });
}
exports.highlightsThatFit = highlightsThatFit;
function outlines(sourceSet) {
    return __awaiter(this, void 0, void 0, function* () {
        const outlines = yield outliner_1.Outlines.create(sourceSet);
        if (!outlines)
            return;
        return outlines.toCodeOutlines();
    });
}
exports.outlines = outlines;
//# sourceMappingURL=index.shared.js.map