"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AST = void 0;
const TreeSitter_1 = require("./TreeSitter");
class AST {
    static createFromCode(source, wasmPath, language) {
        return __awaiter(this, void 0, void 0, function* () {
            const treeSitter = yield TreeSitter_1.TreeSitter.create(wasmPath, language);
            const tree = treeSitter.parse(source.code);
            return new AST(treeSitter, tree, source.relPath);
        });
    }
    constructor(treeSitter, tree, relPath) {
        this.treeSitter = treeSitter;
        this.tree = tree;
        this.relPath = relPath;
    }
    captures(queryScm) {
        const query = this.treeSitter.parser.getLanguage().query(queryScm);
        return query.captures(this.tree.rootNode);
    }
}
exports.AST = AST;
//# sourceMappingURL=AST.js.map