"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Parser = exports.TreeSitter = void 0;
const web_tree_sitter_1 = __importDefault(require("web-tree-sitter"));
exports.Parser = web_tree_sitter_1.default;
const parserInitPromise = web_tree_sitter_1.default.init();
class TreeSitter {
    static create(wasmPath, language) {
        return __awaiter(this, void 0, void 0, function* () {
            yield parserInitPromise;
            const languageWasm = yield web_tree_sitter_1.default.Language.load(wasmPath);
            const parser = new web_tree_sitter_1.default();
            parser.setLanguage(languageWasm);
            return new TreeSitter(parser, language);
        });
    }
    constructor(parser, language) {
        this.parser = parser;
        this.language = language;
    }
    parse(code) {
        return this.parser.parse(code);
    }
}
exports.TreeSitter = TreeSitter;
//# sourceMappingURL=TreeSitter.js.map