"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RankedTags = void 0;
class RankedTags {
    constructor(definitions, rankedFiles, rankedDefinitions) {
        this.definitions = definitions;
        this.rankedFiles = rankedFiles;
        this.rankedDefinitions = rankedDefinitions;
    }
    without(chatRelPaths) {
        const filteredFiles = this.rankedFiles.filter(([relPath, _]) => !chatRelPaths.includes(relPath));
        const filteredDefinitions = this.rankedDefinitions.filter(([key, _]) => {
            const [relPath, _ident] = key.split(',');
            return !chatRelPaths.includes(relPath);
        });
        return new RankedTags(this.definitions, filteredFiles, filteredDefinitions);
    }
    toTags() {
        return this.rankedDefinitions.reduce((acc, [key, _rank]) => {
            return [...acc, ...Array.from(this.definitions.get(key))];
        }, []);
    }
    toRankedFiles(files) {
        const missingFiles = files.filter(file => !this.rankedFiles.some(([relPath, _]) => relPath === file));
        return [...this.rankedFiles.map(([relPath, _rank]) => relPath), ...missingFiles];
    }
}
exports.RankedTags = RankedTags;
//# sourceMappingURL=RankedTags.js.map