"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRankedTags = void 0;
const tagger_1 = require("../tagger");
const TagRanker_1 = require("./TagRanker");
function createRankedTags(sourceSet) {
    return __awaiter(this, void 0, void 0, function* () {
        const tags = yield (0, tagger_1.createTags)(sourceSet);
        if (!tags)
            return;
        const tagRanker = new TagRanker_1.TagRanker(tags);
        return tagRanker.pagerank();
    });
}
exports.createRankedTags = createRankedTags;
//# sourceMappingURL=index.js.map