import { Source } from '../parser';
import { Tag, ITagExtractor } from './common';
import { CodeTagExtractor } from './CodeTagExtractor';
export declare class CachedFileTagExtractor implements ITagExtractor {
    readonly extractor: CodeTagExtractor;
    readonly cache: {
        [key: string]: {
            mtime: number;
            data: Tag[];
        };
    };
    static readonly CACHE_FILE_NAME: string;
    static create(workspacePath: string): CachedFileTagExtractor;
    private static getMtime;
    constructor(extractor: CodeTagExtractor, cache: {
        [key: string]: {
            mtime: number;
            data: Tag[];
        };
    });
    get workspacePath(): string;
    getAbsPath(relPath: string): string;
    getTags(relPath: string): Promise<Tag[]>;
    extractTags(source: Source): Promise<Tag[]>;
    writeCache(): void;
}
