"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefRef = void 0;
class DefRef {
    static createEach(extractor, sources) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield Promise.all(sources.map((source) => __awaiter(this, void 0, void 0, function* () {
                return DefRef.create(extractor, source);
            })));
        });
    }
    static create(extractor, source) {
        return __awaiter(this, void 0, void 0, function* () {
            const tags = yield extractor.extractTags(source);
            const defs = tags.filter(tag => tag.kind === 'def');
            const refs = tags.filter(tag => tag.kind === 'ref');
            return new DefRef(source.relPath, tags, defs, refs);
        });
    }
    constructor(relPath, all, defs, refs) {
        this.relPath = relPath;
        this.all = all;
        this.defs = defs;
        this.refs = refs;
    }
}
exports.DefRef = DefRef;
//# sourceMappingURL=DefRef.js.map